Bug 12647 - 8F32: Help Viewer crashed on clicking link - KHTMLView::viewportMouseReleaseEvent
Summary: 8F32: Help Viewer crashed on clicking link - KHTMLView::viewportMouseReleaseE...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-02-06 23:19 PST by Maciej Stachowiak
Modified: 2007-03-13 17:08 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2007-02-06 23:19:49 PST
2005-09-28 02:47:56 Masayuki Shibatani:
* SUMMARY
I encountered it two times, Help Viewer crashed on clicking link when I was browsing Kotoeri help.

* STEPS TO REPRODUCE
1. Install Tiger and update SUTiDenver 8F32.
2. Enable Kotoeri input method in International Preferences of System Preference.
3. Select Romaji input source from input menu to activate Kotoeri.
4. Select Kotoeri Help from input menu.
5. Click any links in Help viewer.

* RESULTS
Actual: Sometime the crash occurs on first click (I didn't see the crash after second click but it just in two times experience.)

* REGRESSION
I didn't see the crash on Denver 8F2x or older Denver builds. However I cannot say actual version since the crash occurs on sometime.


2005-09-30 11:22:16 Adele Peterson:
**********

Host Name:      shibatani-masayuki-no-power-mac-g5
Date/Time:      2005-09-28 14:31:06.984 +0900
OS Version:     10.4.3 (Build 8F32)
Report Version: 3

Command: Help Viewer
Path:    /System/Library/CoreServices/Help Viewer.app/Contents/MacOS/Help Viewer
Parent:  WindowServer [120]

Version:        3.0.0 (144.1)
Build Version:  133
Project Name:   HelpViewer
Source Version: 1440400

PID:    366
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x308a30d8

Thread 0 Crashed:
0   <<00000000>> 	0x308a30d8 0 + 814362840
1   com.apple.WebCore        	0x95c5dc58 KHTMLView::viewportMouseReleaseEvent(QMouseEvent*) + 824
2   com.apple.WebCore        	0x95c5d874 KWQKHTMLPart::mouseUp(NSEvent*) + 288
3   com.apple.WebKit         	0x9598636c -[WebHTMLView mouseUp:] + 88
4   com.apple.AppKit         	0x936d96b0 -[NSWindow sendEvent:] + 4728
5   com.apple.AppKit         	0x936826d4 -[NSApplication sendEvent:] + 4172
6   com.apple.helpviewer     	0x00003b8c 0x1000 + 11148
7   com.apple.AppKit         	0x93679b10 -[NSApplication run] + 508
8   com.apple.AppKit         	0x9376a5f8 NSApplicationMain + 452
9   com.apple.helpviewer     	0x00002a84 0x1000 + 6788
10  com.apple.helpviewer     	0x000021a8 0x1000 + 4520
11  com.apple.helpviewer     	0x00002048 0x1000 + 4168

Thread 1:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x92900dbc +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x928ffc7c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x928e7744 -[NSRunLoop runMode:beforeDate:] + 172
5   com.apple.Foundation     	0x928e767c -[NSRunLoop run] + 76
6   com.apple.WebKit         	0x95966b90 +[WebFileDatabase _syncLoop:] + 176
7   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
8   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib        	0x9002b8a8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib        	0x9003001c pthread_cond_wait + 488
2   com.apple.Foundation     	0x928df920 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit         	0x9371a4bc -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
5   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib        	0x9001f20c select + 12
1   com.apple.CoreFoundation 	0x9076f99c __CFSocketManager + 472
2   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x00000000308a30d8 srr1: 0x100000000000f030                        vrsave: 0x0000000000000000
    cr: 0x44002442          xer: 0x0000000020000000   lr: 0x0000000095c394fc  ctr: 0x00000000308a30d8
    r0: 0x0000000000000000   r1: 0x00000000bfffe910   r2: 0x0000000004ae7410   r3: 0x0000000004ae75b8
    r4: 0x0000000000000070   r5: 0x0000000000000000   r6: 0x0000000095dc1e7c   r7: 0x00000000a5c25a2c
    r8: 0x0000000000000010   r9: 0x00000000a5c25a60  r10: 0x0000000004ad2c78  r11: 0x0000000004ad2c08
   r12: 0x00000000308a30d8  r13: 0x0000000000000001  r14: 0x0000000000000001  r15: 0x0000000000000001
   r16: 0x0000000000000004  r17: 0x0000000000000000  r18: 0x00000000000000fe  r19: 0x00000000000001aa
   r20: 0x0000000000000000  r21: 0x0000000000000000  r22: 0x0000000000000000  r23: 0x0000000000000000
   r24: 0x0000000000000000  r25: 0x000000000037b040  r26: 0x0000000000000000  r27: 0x0000000004ae75b8
   r28: 0x0000000000000001  r29: 0x0000000000000001  r30: 0x0000000004ad2c10  r31: 0x0000000095c5d934

Binary Images Description:
    0x1000 -     0xafff com.apple.helpviewer 3.0.0 (144.1)	/System/Library/CoreServices/Help Viewer.app/Contents/MacOS/Help Viewer
 0x17b5000 -  0x17b8fff com.apple.CharacterPaletteIM 1.0.2	/System/Library/Components/CharacterPalette.component/Contents/MacOS/CharacterPalette
 0x50d3000 -  0x5142fff com.apple.Kotoeri 4.0.2	/System/Library/Components/Kotoeri.component/Contents/MacOS/Kotoeri
 0x51ca000 -  0x51ccfff com.apple.textencoding.japanese 2.0	/System/Library/TextEncodings/Japanese Encodings.bundle/Contents/MacOS/Japanese Encodings
 0x51e3000 -  0x51e5fff com.apple.textencoding.unicode 2.0	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x5577000 -  0x5588fff com.apple.Tokenizer_ja 1.0.1	/System/Library/CoreServices/Tokenizers/ja.tokenizer/Contents/MacOS/ja
0x8fe00000 - 0x8fe54fff dyld 44.2	/usr/lib/dyld
0x90000000 - 0x901b3fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x9020b000 - 0x9020ffff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x90211000 - 0x90264fff com.apple.CoreText 1.0.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90291000 - 0x90342fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90371000 - 0x906aefff com.apple.CoreGraphics 1.256.22 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9073a000 - 0x90813fff com.apple.CoreFoundation 6.4.4 (368.18)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9085c000 - 0x9085cfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9085e000 - 0x90960fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x909ba000 - 0x90a3efff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90a68000 - 0x90ad6fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90aed000 - 0x90afffff libauto.dylib 	/usr/lib/libauto.dylib
0x90b06000 - 0x90dddfff com.apple.CoreServices.CarbonCore 10.4.3 (659)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e43000 - 0x90ec3fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f0d000 - 0x90f4efff com.apple.CFNetwork 10.4.3 (129.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f63000 - 0x90f7bfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f8b000 - 0x9100cfff com.apple.SearchKit 1.0.4	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91052000 - 0x9107bfff com.apple.Metadata 10.4.3 (121.20)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9108c000 - 0x9109afff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9109d000 - 0x9125ffff com.apple.security 4.2 (24844)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91362000 - 0x9136bfff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91372000 - 0x91399fff com.apple.SystemConfiguration 1.8.1	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x913ac000 - 0x913b4fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x913b9000 - 0x913d9fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x913df000 - 0x913e7fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913eb000 - 0x91469fff com.apple.audio.CoreAudio 3.0.1	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914a7000 - 0x914a7fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914a9000 - 0x914e1fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914fc000 - 0x915c9fff com.apple.ColorSync 4.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9161e000 - 0x916b1fff com.apple.print.framework.PrintCore 4.3 (172.3)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x916f8000 - 0x917b5fff com.apple.QD 3.8.17 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917f3000 - 0x91851fff com.apple.HIServices 1.5.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9187f000 - 0x918a3fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x918b7000 - 0x918dcfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x918ef000 - 0x91931fff com.apple.LaunchServices 10.4.5 (166)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9194d000 - 0x91961fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9196f000 - 0x919a7fff com.apple.ImageIO.framework 1.0.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x919bc000 - 0x91a82fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91acf000 - 0x91ae4fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91ae9000 - 0x91b05fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b0a000 - 0x91b79fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b90000 - 0x91b94fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b96000 - 0x91bc5fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91bc9000 - 0x91c0cfff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91c13000 - 0x91c2cfff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91c31000 - 0x91c34fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91c36000 - 0x91c36fff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91c38000 - 0x91d22fff com.apple.vImage 2.0	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d2a000 - 0x91d49fff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91db5000 - 0x91e1afff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91e24000 - 0x91eb6fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91ed0000 - 0x92460fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x924a8000 - 0x927b8fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x927e5000 - 0x92871fff com.apple.DesktopServices 1.3.1	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x928b3000 - 0x92addfff com.apple.Foundation 6.4.2 (567.17)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92bfb000 - 0x92cd9fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92cf9000 - 0x92de7fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92df9000 - 0x92e17fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92e22000 - 0x92e7cfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92e9a000 - 0x92e9afff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92e9c000 - 0x92eb0fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92ec8000 - 0x92ed8fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92ee4000 - 0x92ef9fff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f0b000 - 0x92f92fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92fa6000 - 0x92fb1fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92fbb000 - 0x92fe8fff com.apple.openscripting 1.2.2 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93002000 - 0x93012fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9301e000 - 0x93084fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x930b5000 - 0x93107fff com.apple.NavigationServices 3.4.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93133000 - 0x93150fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93162000 - 0x9316ffff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93178000 - 0x9348afff com.apple.HIToolbox 1.4.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x935d6000 - 0x935e2fff com.apple.opengl 1.4.5	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93673000 - 0x93673fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93675000 - 0x93ca8fff com.apple.AppKit 6.4.3 (824.22)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x94034000 - 0x940a3fff com.apple.CoreData 50 (53)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x940dc000 - 0x941a6fff com.apple.audio.toolbox.AudioToolbox 1.4.1	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x941fa000 - 0x941fafff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x941fc000 - 0x94371fff com.apple.QuartzCore 1.4.3	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x943bb000 - 0x943f8fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94400000 - 0x94450fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945f2000 - 0x94601fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94609000 - 0x94615fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9465a000 - 0x94672fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x95964000 - 0x959f0fff com.apple.WebKit 416.8	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95a4b000 - 0x95b3ffff com.apple.JavaScriptCore 416.9	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95b90000 - 0x95e94fff com.apple.WebCore 416.8	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x96019000 - 0x96042fff libxslt.1.dylib 	/usr/lib/libxslt.1.dylib
0x967fa000 - 0x96839fff libtidy.A.dylib 	/usr/lib/libtidy.A.dylib
0x968b8000 - 0x968cefff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96a08000 - 0x96a0cfff com.apple.LanguageAnalysisCore 1.0.2	/System/Library/PrivateFrameworks/LanguageAnalysisCore.framework/Versions/A/LanguageAnalysisCore
0x98427000 - 0x98433fff com.apple.CommonCandidateWindow 1.0.0	/System/Library/PrivateFrameworks/CommonCandidateWindow.framework/Versions/A/CommonCandidateWindow
0x9abdb000 - 0x9ad1ffff com.apple.helpui 144.4	/System/Library/PrivateFrameworks/HelpUI.framework/Versions/A/HelpUI

**********

Host Name:      shibatani-masayuki-no-power-mac-g5
Date/Time:      2005-09-28 17:51:09.947 +0900
OS Version:     10.4.3 (Build 8F32)
Report Version: 3

Command: Help Viewer
Path:    /System/Library/CoreServices/Help Viewer.app/Contents/MacOS/Help Viewer
Parent:  WindowServer [68]

Version:        3.0.0 (144.1)
Build Version:  133
Project Name:   HelpViewer
Source Version: 1440400

PID:    236
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x308a30d8

Thread 0 Crashed:
0   <<00000000>> 	0x308a30d8 0 + 814362840
1   com.apple.WebCore        	0x95d04cc0 KHTMLView::viewportMouseDoubleClickEvent(QMouseEvent*) + 840
2   com.apple.WebCore        	0x95c5d83c KWQKHTMLPart::mouseUp(NSEvent*) + 232
3   com.apple.WebKit         	0x9598636c -[WebHTMLView mouseUp:] + 88
4   com.apple.AppKit         	0x936d96b0 -[NSWindow sendEvent:] + 4728
5   com.apple.AppKit         	0x936826d4 -[NSApplication sendEvent:] + 4172
6   com.apple.helpviewer     	0x00003b8c 0x1000 + 11148
7   com.apple.AppKit         	0x93679b10 -[NSApplication run] + 508
8   com.apple.AppKit         	0x9376a5f8 NSApplicationMain + 452
9   com.apple.helpviewer     	0x00002a84 0x1000 + 6788
10  com.apple.helpviewer     	0x000021a8 0x1000 + 4520
11  com.apple.helpviewer     	0x00002048 0x1000 + 4168

Thread 1:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x92900dbc +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x928ffc7c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   com.apple.CoreFoundation 	0x9075d108 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x9075ca0c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x928e7744 -[NSRunLoop runMode:beforeDate:] + 172
5   com.apple.Foundation     	0x928e767c -[NSRunLoop run] + 76
6   com.apple.WebKit         	0x95966b90 +[WebFileDatabase _syncLoop:] + 176
7   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
8   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib        	0x9002b8a8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib        	0x9003001c pthread_cond_wait + 488
2   com.apple.Foundation     	0x928df920 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit         	0x9371a4bc -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation     	0x928d87b4 forkThreadForFunction + 108
5   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib        	0x9001f20c select + 12
1   com.apple.CoreFoundation 	0x9076f99c __CFSocketManager + 472
2   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x00000000308a30d8 srr1: 0x100000000000f030                        vrsave: 0x0000000000000000
    cr: 0x24002442          xer: 0x0000000020000000   lr: 0x0000000095c394fc  ctr: 0x00000000308a30d8
    r0: 0x0000000000000000   r1: 0x00000000bfffe8c0   r2: 0x0000000004ae7410   r3: 0x0000000004ae75b8
    r4: 0x00000000000000c0   r5: 0x0000000000000000   r6: 0x0000000095dc1e7c   r7: 0x00000000a5c25a2c
    r8: 0x0000000000000050   r9: 0x00000000a5c25a60  r10: 0x0000000004af25b8  r11: 0x0000000004af2548
   r12: 0x00000000308a30d8  r13: 0x0000000000000001  r14: 0x0000000000000001  r15: 0x0000000000000002
   r16: 0x0000000000000004  r17: 0x0000000000000000  r18: 0x0000000000000106  r19: 0x00000000000001a7
   r20: 0x0000000000000000  r21: 0x0000000000000000  r22: 0x0000000000000000  r23: 0x0000000000000000
   r24: 0x0000000000000000  r25: 0x000000000501a110  r26: 0x0000000000000000  r27: 0x0000000004ae75b8
   r28: 0x0000000000000001  r29: 0x0000000000000001  r30: 0x0000000004af2550  r31: 0x0000000095d0498c

Binary Images Description:
    0x1000 -     0xafff com.apple.helpviewer 3.0.0 (144.1)	/System/Library/CoreServices/Help Viewer.app/Contents/MacOS/Help Viewer
 0x4ff8000 -  0x4ffafff com.apple.textencoding.japanese 2.0	/System/Library/TextEncodings/Japanese Encodings.bundle/Contents/MacOS/Japanese Encodings
 0x51da000 -  0x51dcfff com.apple.textencoding.unicode 2.0	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x5203000 -  0x5272fff com.apple.Kotoeri 4.0.2	/System/Library/Components/Kotoeri.component/Contents/MacOS/Kotoeri
 0x5581000 -  0x5592fff com.apple.Tokenizer_ja 1.0.1	/System/Library/CoreServices/Tokenizers/ja.tokenizer/Contents/MacOS/ja
0x8fe00000 - 0x8fe54fff dyld 44.2	/usr/lib/dyld
0x90000000 - 0x901b3fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x9020b000 - 0x9020ffff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x90211000 - 0x90264fff com.apple.CoreText 1.0.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90291000 - 0x90342fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90371000 - 0x906aefff com.apple.CoreGraphics 1.256.22 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9073a000 - 0x90813fff com.apple.CoreFoundation 6.4.4 (368.18)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9085c000 - 0x9085cfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9085e000 - 0x90960fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x909ba000 - 0x90a3efff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90a68000 - 0x90ad6fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90aed000 - 0x90afffff libauto.dylib 	/usr/lib/libauto.dylib
0x90b06000 - 0x90dddfff com.apple.CoreServices.CarbonCore 10.4.3 (659)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e43000 - 0x90ec3fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f0d000 - 0x90f4efff com.apple.CFNetwork 10.4.3 (129.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f63000 - 0x90f7bfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f8b000 - 0x9100cfff com.apple.SearchKit 1.0.4	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91052000 - 0x9107bfff com.apple.Metadata 10.4.3 (121.20)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9108c000 - 0x9109afff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9109d000 - 0x9125ffff com.apple.security 4.2 (24844)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91362000 - 0x9136bfff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91372000 - 0x91399fff com.apple.SystemConfiguration 1.8.1	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x913ac000 - 0x913b4fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x913b9000 - 0x913d9fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x913df000 - 0x913e7fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913eb000 - 0x91469fff com.apple.audio.CoreAudio 3.0.1	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914a7000 - 0x914a7fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914a9000 - 0x914e1fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914fc000 - 0x915c9fff com.apple.ColorSync 4.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9161e000 - 0x916b1fff com.apple.print.framework.PrintCore 4.3 (172.3)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x916f8000 - 0x917b5fff com.apple.QD 3.8.17 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917f3000 - 0x91851fff com.apple.HIServices 1.5.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9187f000 - 0x918a3fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x918b7000 - 0x918dcfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x918ef000 - 0x91931fff com.apple.LaunchServices 10.4.5 (166)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9194d000 - 0x91961fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9196f000 - 0x919a7fff com.apple.ImageIO.framework 1.0.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x919bc000 - 0x91a82fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91acf000 - 0x91ae4fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91ae9000 - 0x91b05fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b0a000 - 0x91b79fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b90000 - 0x91b94fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b96000 - 0x91bc5fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91bc9000 - 0x91c0cfff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91c13000 - 0x91c2cfff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91c31000 - 0x91c34fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91c36000 - 0x91c36fff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91c38000 - 0x91d22fff com.apple.vImage 2.0	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d2a000 - 0x91d49fff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91db5000 - 0x91e1afff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91e24000 - 0x91eb6fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91ed0000 - 0x92460fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x924a8000 - 0x927b8fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x927e5000 - 0x92871fff com.apple.DesktopServices 1.3.1	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x928b3000 - 0x92addfff com.apple.Foundation 6.4.2 (567.17)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92bfb000 - 0x92cd9fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92cf9000 - 0x92de7fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92df9000 - 0x92e17fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92e22000 - 0x92e7cfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92e9a000 - 0x92e9afff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92e9c000 - 0x92eb0fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92ec8000 - 0x92ed8fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92ee4000 - 0x92ef9fff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f0b000 - 0x92f92fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92fa6000 - 0x92fb1fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92fbb000 - 0x92fe8fff com.apple.openscripting 1.2.2 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93002000 - 0x93012fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9301e000 - 0x93084fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x930b5000 - 0x93107fff com.apple.NavigationServices 3.4.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93133000 - 0x93150fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93162000 - 0x9316ffff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93178000 - 0x9348afff com.apple.HIToolbox 1.4.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x935d6000 - 0x935e2fff com.apple.opengl 1.4.5	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93673000 - 0x93673fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93675000 - 0x93ca8fff com.apple.AppKit 6.4.3 (824.22)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x94034000 - 0x940a3fff com.apple.CoreData 50 (53)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x940dc000 - 0x941a6fff com.apple.audio.toolbox.AudioToolbox 1.4.1	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x941fa000 - 0x941fafff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x941fc000 - 0x94371fff com.apple.QuartzCore 1.4.3	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x943bb000 - 0x943f8fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94400000 - 0x94450fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945f2000 - 0x94601fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94609000 - 0x94615fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9465a000 - 0x94672fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x95964000 - 0x959f0fff com.apple.WebKit 416.8	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95a4b000 - 0x95b3ffff com.apple.JavaScriptCore 416.9	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95b90000 - 0x95e94fff com.apple.WebCore 416.8	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x96019000 - 0x96042fff libxslt.1.dylib 	/usr/lib/libxslt.1.dylib
0x967fa000 - 0x96839fff libtidy.A.dylib 	/usr/lib/libtidy.A.dylib
0x968b8000 - 0x968cefff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96a08000 - 0x96a0cfff com.apple.LanguageAnalysisCore 1.0.2	/System/Library/PrivateFrameworks/LanguageAnalysisCore.framework/Versions/A/LanguageAnalysisCore
0x98427000 - 0x98433fff com.apple.CommonCandidateWindow 1.0.0	/System/Library/PrivateFrameworks/CommonCandidateWindow.framework/Versions/A/CommonCandidateWindow
0x9abdb000 - 0x9ad1ffff com.apple.helpui 144.4	/System/Library/PrivateFrameworks/HelpUI.framework/Versions/A/HelpUI

2005-09-30 11:25:45 Beth Dakin:
Neither Chris nor I has been able to reproduce this. Since it is so hard to reproduce it is possible that it is not a Denver regression, but Adele suggested that I pass it on to you Vicki because it looks vaguely like a Denver regression crasher that you already fixed. I am putting it in Leopard for now, but that should change if you do think this is a regression too, Vicki.

2005-10-26 15:30:58 John Sullivan:
Mass modify: adding "Safari Valentine Party" keyword to all Safari p1 bugs in Analyze that don't have Safari Halloween Party keyword and are not in evangelism milestone.

2005-10-27 10:56:00 Vicki Murley:
I don't think this should be P1, since neither Beth nor Chris have been able to reproduce this.  Even the Originator claims they can only reproduce the bug some of the time.  Downgrading to P3 and removing the Valentine keyword.

2005-11-30 14:07:51 Ronald Brannan:
Vicki: We might have a reproducible case. Nick is looking at an iPhoto bug that he thinks is related to this one and will annotate. But here's what I'm doing:

1. Open Mac Help…I've also seen this with iChat Help and new iApps help.
2. Search for something, e.g. "internet"
--You'll get search results as expected.
3. Click the back button.
4. Click any link on the page.
-- Poof

The caveat is that it does not happen if I clear the help cache (we have a tool for that) before opening the Help Viewer. However, if I close the Help Viewer and then open it and try again, the Help Viewer crashes.

Hope this helps.

2005-11-30 14:25:53 Nick Kocharhook:
Clearing the cache is deleting ~/Library/Caches/com.apple.helpui/, which contains the numbered directories NSURLCache uses.

Also note, Ron was seeing this on 8F46.

2005-11-30 14:27:30 Adele Peterson:
moving to P1 since Nick is able to reproduce reliably.

2005-12-01 10:36:50 Amy Rapport:
Too late for Glendale but perhaps a later update.

2005-12-08 11:43:47 Fatima Valipour-Goudarzi:
Safari BRB Reviewed

2006-01-12 10:34:57 Nick Kocharhook:
Vicki, can I get your opinion on whether 4406391 is a duplicate of this bug?

2006-01-17 13:27:45 Vicki Murley:
Yes, I sure do think 4406391 is a duplicate.

2006-03-27 04:09:57 Maciej Stachowiak:
In a debug build, I get this instead:

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0xbbadbeef

Thread 0 Crashed:
0   com.apple.WebCore        	0x017a97e2 ReportBlockedObjCException(NSException*) + 76 (BlockExceptions.mm:35)
1   com.apple.WebCore        	0x01856a80 WebCore::FrameMac::urlSelected(WebCore::ResourceRequest const&) + 172 (FrameMac.mm:518)
2   com.apple.WebCore        	0x018472e6 WebCore::Frame::urlSelected(WebCore::ResourceRequest const&, WebCore::String const&) + 686 (Frame.cpp:1329)
3   com.apple.WebCore        	0x0184407e WebCore::Frame::urlSelected(DeprecatedString const&, WebCore::String const&) + 96 (Frame.cpp:1300)
4   com.apple.WebCore        	0x0176ffe2 WebCore::HTMLAnchorElement::defaultEventHandler(WebCore::Event*) + 1432 (html_inlineimpl.cpp:172)
5   com.apple.WebCore        	0x019b72ac WebCore::EventTargetNode::dispatchGenericEvent(KXMLCore::PassRefPtr<WebCore::Event>, int&, bool) + 1458 (EventTargetNode.cpp:238)
6   com.apple.WebCore        	0x019b7bbc WebCore::EventTargetNode::dispatchEvent(KXMLCore::PassRefPtr<WebCore::Event>, int&, bool) + 290 (EventTargetNode.cpp:274)
7   com.apple.WebCore        	0x019b836a WebCore::EventTargetNode::dispatchMouseEvent(WebCore::AtomicString const&, int, int, int, int, int, int, bool, bool, bool, bool, bool, WebCore::Node*) + 488 (EventTargetNode.cpp:397)


2006-03-27 23:14:29 Maciej Stachowiak:
Help Viewer is crashing for me with exception-related backtraces even when using the system version of WebKit. This is on Intel Mac OS X 10.4.5. I don't think the exceptions they throw are related to WebKit.

2006-03-31 09:24:47 John Sullivan:
KHTMLView::viewportMouseReleaseEvent no longer exists in tip of tree. I believe its replacement is FrameView::handleMouseReleaseEvent. This sounds like one of those bugs where an object is being destroyed as a side effect of the mouse event before some post-release code tries to act on the object.

2006-04-17 17:17:55 Timothy Hatcher:
Adding Safari Update Candidate keyword, requested by Apple Care and DTS.

2006-05-01 22:59:23 Ronald Brannan:
Tiger updated also requested by APD for Help Viewer. According to our iLife project lead, the iLife development team considered holding the release of iLife 06 because of the effect this problem has in Help Viewer.

2006-06-13 10:46:03 Alice Liu:
Safari WWDC BRB Reviewed

2006-07-06 20:07:09 Alice Liu:
almost all the dups are unreproducible, except for this gem, 4322622.  The steps reproduced for me in 10.4.7.  

2006-07-06 20:40:50 Alice Liu:
using the following steps (derived from the ones in 4322622) I was able to reproduce the crash in viewportMouseReleaseEvent on a tiger (10.4.7) system.  Using TOT Debug, I hit an assertion failure, but not a crash.  Using TOT Release, the crash is gone but the page is blank after hitting the back button.  This bug is no longer a crash but still a serious bug.  

1. open /System/Library/CoreServices/Help\ Viewer.app
2. choose iChat help under the Library menu
3. search for "video"
4. wait for results, hit the back button
results: 
10.4.7: crash
TOT Debug: assertion failure in _topHTMLView
TOT Release: no crash, but blank page 


Codes:      KERN_INVALID_ADDRESS (0x0001) at 0xbbadbeef

Thread 0 Crashed:
0   com.apple.WebKit               	0x00264574 -[WebHTMLView(WebPrivate) _topHTMLView] + 312 (WebHTMLView.m:889)
1   com.apple.WebKit               	0x002645d4 -[WebHTMLView(WebPrivate) _isTopHTMLView] + 64 (WebHTMLView.m:895)
2   com.apple.WebKit               	0x0026d988 -[WebHTMLView addMouseMovedObserver] + 84 (WebHTMLView.m:2274)
3   com.apple.WebKit               	0x0026e5a4 -[WebHTMLView viewDidMoveToWindow] + 328 (WebHTMLView.m:2413)
4   com.apple.AppKit               	0x93704c74 -[NSView _setWindow:] + 876


2006-07-12 22:11:53 Darin Adler:
I tried, but could not reproduce.

2006-10-03 08:59:59 Alice Liu:
On 9A270, I still get same results as my comment 2 comments above. 

2006-12-18 21:21:50 Beth Dakin:
I can repro with the steps Alice describes above. We are hitting this assertion:

WebHTMLView *view = (WebHTMLView *)[[[[_private->dataSource _webView] mainFrame] frameView] documentView];
    ASSERT(view);

[_private->dataSource _webView] is nil.

2006-12-19 21:33:59 Beth Dakin:
I have debugged this a bit more. The first thing to be null is the WebFrameLoader's m_frame. It is null-checked; we ask for it at the very beginning of WebDataSource's webFrame function with:

FrameLoader* frameLoader = _private->loader->frameLoader();

because the DataSource's _webView function asks for the WebView of its WebFrame, which is nil because the FrameLoader is null. The FrameLoader is set to 0 (via ::detachFromFrame) through a long chain of loader-related calls.

<rdar://problem/4277074>
Comment 1 Beth Dakin 2007-03-13 13:17:39 PDT
As described above, the crash happens when you search for something, and then go back from a search page to the previous page. The search page is not a WebView; I believe it is an NSTableView. All of the other pages are WebViews which is why this assertion/display problem only happens when going back from the search view. 

So when the search page comes up, we do not actually navigate away from the previous page. It gets swizzled away with viewWillMoveToWindow:nil. When the "back" key is pressed, HelpViewer calls into WebKit with goToBackForwardItem:item. Which is kind of funny to begin with since this is not a normal back-forth navigation.

Initially I was suspicious of this call through back-forward, and I tested what would happen if we did nothing in goToBackForwardItem:item and unconditionally returned "NO." (Our API indicates that we return NO if the item is not in the back-forward list, but in reality, we have always unconditionally returned "YES.") Help Viewer actually did the right thing in that case, which confirmed my suspicion that it seems the problem is that we are not correctly putting the view back into the window.

I pulled the branch to look at how things happen differently there, and so far, any differences are very non-obvious. A lot of the code has been pushed into WebCore, but the same basic things are happening. In both cases we end up calling setDocumentView with a cachedView from the page cache, but it works on the branch and not on TOT. I am currently looking into what has changed with the cachedView and with the process of setting the document view.
Comment 2 Beth Dakin 2007-03-13 17:08:03 PDT
Committed a fix with r20173.